Get template
curl --request GET \
--url https://api.aireserve.com/v1/gpu/templates/{templateId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/templates/{templateId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "curated",
"curated": true,
"imageName": "<string>",
"imageId": "<string>",
"image": "<string>",
"ports": [
{
"port": 32768,
"protocol": "http"
}
],
"envKeys": [
"<string>"
],
"capabilities": {
"hasSsh": true,
"hasJupyter": true,
"hasTerminal": true,
"hasWebApp": true
},
"isActive": true,
"containerDiskGb": 0
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}GPU Infrastructure
Get template
A curated or organization-owned template. Requires compute read access.
GET
/
v1
/
gpu
/
templates
/
{templateId}
Get template
curl --request GET \
--url https://api.aireserve.com/v1/gpu/templates/{templateId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/templates/{templateId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "curated",
"curated": true,
"imageName": "<string>",
"imageId": "<string>",
"image": "<string>",
"ports": [
{
"port": 32768,
"protocol": "http"
}
],
"envKeys": [
"<string>"
],
"capabilities": {
"hasSsh": true,
"hasJupyter": true,
"hasTerminal": true,
"hasWebApp": true
},
"isActive": true,
"containerDiskGb": 0
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}Authorizations
bearerAuthapiKeyAuth
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Path Parameters
Response
OK
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
curated, tenant True for AI Reserve-managed templates, which are read-only.
Alias for imageName.
Alias for imageName.
Show child attributes
Show child attributes
Documented environment variable names. Values are encrypted and never returned.
Show child attributes
Show child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991